
#define RW_RW               0b11110110
#define RW_R                0b11110100


#define FS_BFO_STORAGE_CLASS    0
#define FS_BFO_ACT_COND         4
#define FS_BFO_ACT_EN           7
#define FS_BFS_STORAGE_CLASS    2
#define FS_BFM_STORAGE_CLASS    0x3
#define FS_BFS_ACT_COND         3
#define FS_BFM_ACT_COND         0x7
#define FS_BFS_ACT_EN           1
#define FS_BFM_ACT_EN           0x1

enum { TRANSIENT=0, VOLATILE, RESTORABLE, PERMANENT};

// "Piped" File: rd/wr are not stored but just sent on IF
#define FS_TRANSIENT         (TRANSIENT  << FS_BFO_STORAGE_CLASS)
// "RAM" File: rd/wr to a volatile buffer.
#define FS_VOLATILE          (VOLATILE   << FS_BFO_STORAGE_CLASS)
// "Mirrored" File: loaded from NVM, cached/used in RAM. Flushable to NVM.
#define FS_RESTORABLE        (RESTORABLE << FS_BFO_STORAGE_CLASS)
// "Normal" File: rd/wr from/to NVM
#define FS_PERMANENT         (PERMANENT  << FS_BFO_STORAGE_CLASS)
#define FS_ACT_COND(c)       ((c & 0x7) << FS_BFO_ACT_COND)
#define FS_ACT_EN            (1  << FS_BFO_ACT_EN)

#define FS_TRANSIENT_NOTIF    (FS_TRANSIENT  | FS_ACT_EN)
#define FS_VOLATILE_NOTIF     (FS_VOLATILE   | FS_ACT_EN)
#define FS_RESTORABLE_NOTIF   (FS_RESTORABLE | FS_ACT_EN)
#define FS_PERMANENT_NOTIF    (FS_PERMANENT  | FS_ACT_EN)
